/******************************************************************************
*   ERROR.H                                                                   *
*   =======                                                                   *
*                                                                             *
*   This file includes the error symbols needed to handle errors in           *
*   CCDLIB.                                                                   *
*                                                                             *
*   last change:  15.4.1999                                                   *
*                                                                             *
******************************************************************************/



#ifndef __CL_ERROR_H__
#define __CL_ERROR_H__  1



enum CCDLIB_ErrorEnum
{
  CCDLIB_Successful,                  /* Operation war erfolgreich */
  CCDLIB_WrongParameterError,         /* Unsinniger Parameter wurde uebergeben */
  CCDLIB_WrongRectangleValuesError,   /* Unmoeglicher Bildausschnitt */
  CCDLIB_NoPointerError,              /* Unbekannter Pointer auf Datenfeld */
  CCDLIB_NoPicturePointerError,       /* Unbekannter Pointer auf Bilddaten */
  CCDLIB_WrongPixelTypeError,         /* Nicht erlaubter Datentyp der Pixel */
  CCDLIB_OutOfMemoryError,            /* Nicht genug Speicherplatz */
  CCDLIB_FileOpenError,               /* Datei ist nicht zu oeffnen */
  CCDLIB_WrongFileFormatError,        /* Datei hat ein unbekanntes Format */
  CCDLIB_NoFITSFileError,             /* Kein SIMPLE FITS Format */
  CCDLIB_NoOESFileError,              /* Kein OES Astro Format */
  CCDLIB_NoBMPFileError,              /* Kein Windoof BMP Format */
  CCDLIB_NoFLMFileError,              /* Kein Screen Maschine FLM Format */
  CCDLIB_NoST4FileError,              /* Kein SBIG ST4 Format */
  CCDLIB_NoST6FileError,              /* Kein SBIG ST6 Format */
  CCDLIB_NoStarliteXPressFileError,   /* Kein Starlite XPress Format */
  CCDLIB_NoFITSExtensionsError,       /* Keine FITS XTension unterstuetzt */
  CCDLIB_TooMuchDimensionsError,      /* Mehr als vier FITS Dimensionen */
  CCDLIB_WriteOnFileError,            /* Schreiben auf Datei missglueckt */
  CCDLIB_ReadFromFileError            /* Lesen von Datei missglueckt */
};



#endif

